<?
header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
use_helper('UrlFunctions');
$o_CrPrAsignarCabeceraFN = new CrPrAsignarCabeceraFN();

$o_CrPrAsignarCabeceraFN->setIdcolaborador($cboColaborador);
$o_CrPrAsignarCabeceraFN->setIdmercado($cboMercado);
$o_CrPrAsignarCabeceraFN->setFechaInicio($txtFechaInicial);
$o_CrPrAsignarCabeceraFN->setFechaFin($txtFechaFinal);
  
$tamanioPag = 20;
if(!isset($page)) $page = 1;
$o_CrPrAsignarCabeceraFN->page = $page;
$o_CrPrAsignarCabeceraFN->tamPag = $tamanioPag;
if($sortCampos)
{
  $o_CrPrAsignarCabeceraFN->sortCampos = $sortCampos;
  $o_CrPrAsignarCabeceraFN->sortType   = $sortType;
}
else 
{
  $o_CrPrAsignarCabeceraFN->sortCampos = "Fecha;Estado";
  $o_CrPrAsignarCabeceraFN->sortType   = "2,1";
}



$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_CrPrAsignarCabeceraFN->selectNumRows());
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

$a_ObjectBean = $o_CrPrAsignarCabeceraFN->select();

ViewResponse::getInstance()->setMethodAjax();

?>
<script>
function eliminar(fecha, idmercado,idcolaborador){
	
}

functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>


<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
                <th width="5%" >Nro</th>
                <th width="20%" align="left" >Fecha</th>
                <th width="20%" align="left" >Mercado</th>
                <th width="20%" align="left" >Supervisor</th>
                <th width="8%" >Estado&nbsp;&nbsp;&nbsp;</th>
                
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >Usr.Creac.</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >Fec.Creac.</th>
              
                <th width="10%">Opciones</th>
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr onClick="TR_click(this);">
                <td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
                <td align="left"><?=$o_objBean->getFecha()?></td>
                <td align="left"><?php 
                $o_MercadoBean = new MercadoBean();
                $o_MercadoBean->setIdMercado($o_objBean->getIdmercado());
                $o_MercadoDP = new MercadoDP($o_MercadoBean);
                $a_o_MercadoDP = $o_MercadoDP->select();
                foreach ($a_o_MercadoDP as $key =>$o_MercadoDP){
                	echo $o_MercadoDP->getDescripcion();
                }
                ?></td>
                <td align="left"><?php 
                $o_ColaboradorBean = new ColaboradorBean();
                $o_ColaboradorBean->setIdColaborador($o_objBean->getIdcolaborador());
                $o_ColaboradorDP = new ColaboradorDP($o_ColaboradorBean);
                $a_o_ColaboradorDP = $o_ColaboradorDP->select();
                foreach ($a_o_ColaboradorDP as $key =>$o_ColaboradorDP){
                	echo $o_ColaboradorDP->getApellidoPaterno()." ".$o_ColaboradorDP->getApellidoMaterno().", ".$o_ColaboradorDP->getNombres();
                }
                ?>
                
                </td>
                <td align="center"><?=$o_objBean->getEstado()?></td>
                
                <td align="center"><?=$o_objBean->getUsuarioRegistro()?></td>
                <td align="center"><?=$o_objBean->getFechaRegistro()?></td>
                <td align="center" valign="top">
                   <img src="/images/common/buttons/btnReview.gif" style="cursor:pointer;" title="Mostrar" onclick="parent.objMainTab.modalDialog('<?=buildUrl('asigcob/show/fecha/'.$o_objBean->getFecha().'/idMercado/'.$o_objBean->getIdMercado().'/idColaborador/'.$o_objBean->getIdColaborador());?>','block=001')">&nbsp;
                   <img src="/images/common/buttons/btnEdit.gif" style="cursor:pointer;" title="Mostrar" onclick="parent.objMainTab.modalDialog('<?=buildUrl('asigcob/edit/fecha/'.$o_objBean->getFecha().'/idMercado/'.$o_objBean->getIdMercado().'/idColaborador/'.$o_objBean->getIdColaborador());?>','block=001')">&nbsp;
                    <?php
                    
					$o_BalanceDia = new BalanceDiaBean();
					$o_SucursalMercadoBean = new SucursalMercadoBean();
		    		$o_SucursalMercadoBean->setIdMercado($o_objBean->getIdmercado());
					$o_SucursalMercadoBL = new SucursalMercadoBL();
					$a_o_sucursalmercado = $o_SucursalMercadoBL->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean);
					if(is_array($a_o_sucursalmercado)){
						foreach ($a_o_sucursalmercado as $key => $o_sucursalmercado){
							$IdSucursal = $o_sucursalmercado->getIdSucursal();
						}
					}
					
					$o_BalanceDia->setIdSucursal($IdSucursal);
					$o_BalanceDia->setFechaBalance($o_objBean->getFecha());
					$o_BalanceDia->setFechaBalanceFinal($o_objBean->getFecha());
					$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
					$a_o_balance = $o_BalanceDiaDP->selectHeader();
					
					
					if(!is_array($a_o_balance) && count($a_o_balance) == 0){?>					
		               
	                   <img name="Eliminar" src="/images/common/buttons/btnDelete.gif" title="Editar" onclick="deleteRegistro('<?php echo $o_objBean->getFecha();?>','<?php echo $o_objBean->getIdMercado();?>','<?php echo $o_objBean->getIdColaborador();?>');">&nbsp;
		           <?}else{?>		           
    				   	<img name="Editar" src="/images/common/buttons/btnEdit.gif" title="No permitido">&nbsp;
                        <img name="Eliminar" src="/images/common/buttons/btnDelete.gif" title="No permitido">&nbsp;
				   <?}?>
                </td>
              </tr>
              <? } ?>
              
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>
      </table>